#include "ViewCell.h"
#include "Mesh.h"
#include "Intersectable.h"
#include "MeshKdTree.h"
#include "Triangle3.h"

ViewCell::ViewCell(): MeshInstance(NULL), mPiercingRays(0)
{
}

ViewCell::ViewCell(Mesh *mesh): MeshInstance(mesh), mPiercingRays(0)
{
}

const ViewCellPvs &ViewCell::GetPvs() const
{
	return mPvs;
}

ViewCellPvs &ViewCell::GetPvs()
{
	return mPvs;
}

int ViewCell::Type() const 
{ 
	return VIEW_CELL; 
}

void ViewCell::AddPassingRay(const Ray &ray, const int contributions)
{
	mPassingRays.AddRay(ray, contributions);
}